Connection with MS SQL SERVER 12

0
Hello Team, I am trying to connect to MS SQL SERVER 12, with my mendix application but getting the below error, I have windows 7 on my machine so can’t install MS SQL SERVER 2016 or 2019 : com.mendix.m2ee.api.AdminException: An error occurred while initializing the Runtime: The compatibility level for this database is lower than the minimum supported version.     at com.mendix.basis.impl.MxRuntimeImplBase.start(MxRuntimeImplBase.java:349) Caused by: com.mendix.connectionbus.ConnectionBusRuntimeException: The compatibility level for this database is lower than the minimum supported version.     at com.mendix.connectionbus.connections.jdbc.implementations.sqlserver.SqlServerDataStoreConfigurator.getInitialDatabaseCommands(SqlServerDataStoreConfigurator.java:183)     at com.mendix.connectionbus.ConnectionBusImpl.getInitialDatabaseCommands(ConnectionBusImpl.java:382)     at com.mendix.basis.impl.MxRuntimeImplBase.initializeConnectionBusAnyway(MxRuntimeImplBase.java:432)     at com.mendix.basis.impl.MxRuntimeImplBase.start(MxRuntimeImplBase.java:326)     at com.mendix.m2ee.appcontainer.actions.StartAction.startRuntime(StartAction.java:48)     at com.mendix.m2ee.appcontainer.actions.StartAction.execute(StartAction.java:30)     at com.mendix.m2ee.appcontainer.server.handler.HttpAdminHandler.handle(HttpAdminHandler.java:129)     at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:127)     at org.eclipse.jetty.server.Server.handle(Server.java:500)     at org.eclipse.jetty.server.HttpChannel.lambda$handle$1(HttpChannel.java:383)     at org.eclipse.jetty.server.HttpChannel.dispatch(HttpChannel.java:547)     at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:375)     at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:273)     at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded(AbstractConnection.java:311)     at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:103)     at org.eclipse.jetty.io.ChannelEndPoint$2.run(ChannelEndPoint.java:117)     at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.runTask(EatWhatYouKill.java:336)     at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce(EatWhatYouKill.java:313)     at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.tryProduce(EatWhatYouKill.java:171)     at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run(EatWhatYouKill.java:129)     at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run(ReservedThreadExecutor.java:375)     at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:806)     at org.eclipse.jetty.util.thread.QueuedThreadPool$Runner.run(QueuedThreadPool.java:938)     at java.base/java.lang.Thread.run(Thread.java:834)  
asked
1 answers
0

This is not one of the supported databases.

Mendix in the mentioned version supports 

 

See https://docs.mendix.com/refguide/system-requirements#databases

answered